Skip to main content
`Ctrl`+`K`

# DMForestGetCellWeights

Get the weights assigned to each of the cells (see `DMForestGetCellChart()`) of the current process: weights are used to determine parallel partitioning.

## Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetCellWeights(DM dm, PetscReal **weights)

Not Collective

## Input Parameter

- dm - the forest

## Output Parameter

- weights - the array of weights for all cells, or `NULL` to indicate each cell has weight 1.

## See Also

`DM`, `DMFOREST`, `DMForestSetCellWeights()`, `DMForestSetWeightCapacity()`

## Level

advanced

## Location

src/dm/impls/forest/forest.c

Index of all DMForest routines
Table of Contents for all manual pages
Index of all manual pages